Subject: bug#56135: 29.0.50; python.el - forward-sexp regression over triple-quoted strings

From: João Távora <[email-masked]>
Date: Wed, 22 Jun 2022 23:19:40 +0100

On Wed, Jun 22, 2022 at 10:48 PM Kévin Le Gouguec <[email-masked]>
wrote:

> Kévin Le Gouguec <[email-masked]> writes:
>
> > João Távora <[email-masked]> writes:
> >
> >> On a very superficial analysis, I would say you're _not_ experiencing a
> >> bug, because setting the f-sexp-f to nil buffer-locally would mean
> >> you don't want any python-specific behaviour for triple quotes.
> >>
> >> It might be a regression for a previous state of the working tree, but
> then
> >> again that state seems to have been buggy itself, undoubtedly, at least
> as
> >> described by myself in 0646c6817139.
> >>
> >> Why are you setting python-forward-sexp-function to nil?
> >
> > [wall of text follows]
>
> (
>     Hadn't realized we had taken this off-list.  FWIW if you found all
>     my verbiage informative, don't hesitate to (tell me to) forward it
>     back on the bug tracker.
> )
>

Ups.  That was my mistake.  Wondering what to do now.  Should we re-send to
the
tracker.  Or let future generations wonder about the missing great wall of
text.

Anyway, I did find your wall of text informative, particularly this point.

> Wondering what the best way forward would be.  Maybe a third suggested
> value for python-forward-sexp-function, which would handle triple-quotes
> but not add those "implicit paired delimiters"?

Yes, I think this makes sense.  Let's see what other think, but a patch
that extracts only that bit from the current functionality and puts it in
a third value would be a good idea, I think.

João